package cz.cvut.kbss.wpa.lab3.calculator;

/**
 * Calculates simple mathematical formulas.
 */
public class Calculator {

    private final FormulaParser tokenizer = new FormulaParser();

    /**
     * Takes a string representation of a formula and calculates its result.
     *
     * @param formula The formula to calculate
     * @return Result
     */
    public int calculate(String formula) {
        final Formula form = tokenizer.parse(formula);
        return form.evaluate();
    }
}
